
# Pass variable to an object's method (skip `this`)

# Create Private variable in a class



This does it

```javascript

class Expose {

    static N_a(aparam,paramTwo){
        alert(aparam);
        alert(paramTwo)
        alert(this.verify);
        alert(privateField);
        alert(privTwo);
    }
    static change(key,func){
        this[key] = func;
    }
}
Expose.verify = "cats";

function exposeVar(obj,key,bindArgs){
    const exposeVar = function(obj,key,bindArgs){
            const slicedArgs = Array.prototype.slice.call(arguments,3);
            const func = obj['N_'+key];
            // const theValue = privateValue;
            for (const bindKey in bindArgs){

                eval('var '+bindKey+'= bindArgs[bindKey];');
            }
            const g = "(function "+func.toString()+").apply(this,slicedArgs)();";
            alert(g);
            eval(g);
        }.bind(obj,obj,key,bindArgs);
    obj[key] = exposeVar;
    return exposeVar;
}

const exposedFunc = exposeVar(Expose,'a',{'privateField':'first private field','privTwo': "Another pviate field"});
// exposedFunc('a parmater yes!!!');
Expose.a('got that bound',"another paramater");
//basically, do exposeVar() for every method of the class (or prototype) that starts with N_
//Then the every method of that class will have a complex eval that 
```